Page MenuHomePhabricator

[WebAssembly] Support imports from custom module names
ClosedPublic

Authored by sbc100 on Apr 18 2018, 9:23 PM.

Details

Summary

Fixes: https://bugs.llvm.org/show_bug.cgi?id=37168

This is only a first pass at supporting these custom import
modules. In the long run we most likely want to treat these
kinds of symbols very differently. For example, it should not
be possible to resolve such as symbol at static link type.

Event Timeline

sbc100 created this revision.Apr 18 2018, 9:23 PM
sbc100 edited the summary of this revision. (Show Details)Apr 18 2018, 9:23 PM
sbc100 edited reviewers, added: jgravelle-google; removed: dschuff.Apr 24 2018, 11:43 AM
wasm/Driver.cpp
359

These should also probably reference kDefaultModule, maybe move that to Writer.h?

sbc100 retitled this revision from [WebAssembly] Honor custom import names to [WebAssembly] Support imports from custom module names.Apr 25 2018, 11:56 AM
sbc100 edited the summary of this revision. (Show Details)
sbc100 updated this revision to Diff 146717.May 14 2018, 4:12 PM
  • rebase
sbc100 updated this revision to Diff 146718.May 14 2018, 4:13 PM
  • update test
dschuff accepted this revision.May 15 2018, 2:55 PM
This revision is now accepted and ready to land.May 15 2018, 2:55 PM

This patch has a review. Is it ready to land?

This revision was automatically updated to reflect the committed changes.